Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCCluster Class Reference

`#include <VLCCluster.h>`

Collaboration diagram for VLCCluster:

[legend]
List of all members.

## Public Member Functions
| VLCCluster (double xminimum, double xmaximum, double yminimum, double ymaximum)
| VLCCluster ()
void | setCandidate (bool c)
bool | getCandidate ()
double | getYMin ()
double | getXMin ()
double | getXMax ()
double | getYMax ()
Vector2< double > | getMidpoint ()
std::list< std::list< VLCCluster >::iterator >::iterator | getVPointer ()
void | setVPointer (std::list< std::list< VLCCluster >::iterator >::iterator vp)
std::list< std::list< VLCCluster >::iterator >::iterator | getHPointer ()
void | setHPointer (std::list< std::list< VLCCluster >::iterator >::iterator hp)
## Private Attributes
double | xmin
double | xmax
double | ymin
double | ymax
bool | candidate
Vector2< double > | mid
std::list< std::list< VLCCluster >::iterator >::iterator | vpointer
std::list< std::list< VLCCluster >::iterator >::iterator | hpointer

## Constructor & Destructor Documentation

VLCCluster::VLCCluster | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum
| ) |

| Definition at line 4 of file VLCCluster.cpp. References Vector2< double >::x, and Vector2< double >::y.

VLCCluster::VLCCluster | ( |  | ) |

| Definition at line 16 of file VLCCluster.cpp.

## Member Function Documentation

void VLCCluster::setCandidate | ( | bool | c | ) |

| Definition at line 20 of file VLCCluster.cpp.

bool VLCCluster::getCandidate | ( |  | ) |

| Definition at line 26 of file VLCCluster.cpp.

double VLCCluster::getYMin | ( |  | ) |

| Definition at line 31 of file VLCCluster.cpp.

double VLCCluster::getXMin | ( |  | ) |

| Definition at line 36 of file VLCCluster.cpp.

double VLCCluster::getXMax | ( |  | ) |

| Definition at line 41 of file VLCCluster.cpp.

double VLCCluster::getYMax | ( |  | ) |

| Definition at line 46 of file VLCCluster.cpp.

Vector2< double > VLCCluster::getMidpoint | ( |  | ) |

| Definition at line 52 of file VLCCluster.cpp.

std::list< std::list< VLCCluster >::iterator >::iterator VLCCluster::getVPointer | ( |  | ) |

| Definition at line 57 of file VLCCluster.cpp.

void VLCCluster::setVPointer | ( | std::list< std::list< VLCCluster >::iterator >::iterator | vp | ) |

| Definition at line 62 of file VLCCluster.cpp.

std::list< std::list< VLCCluster >::iterator >::iterator VLCCluster::getHPointer | ( |  | ) |

| Definition at line 67 of file VLCCluster.cpp.

void VLCCluster::setHPointer | ( | std::list< std::list< VLCCluster >::iterator >::iterator | hp | ) |

| Definition at line 72 of file VLCCluster.cpp.

## Member Data Documentation

double VLCCluster::xmin`[private]`

| Definition at line 10 of file VLCCluster.h.

double VLCCluster::xmax`[private]`

| Definition at line 10 of file VLCCluster.h.

double VLCCluster::ymin`[private]`

| Definition at line 10 of file VLCCluster.h.

double VLCCluster::ymax`[private]`

| Definition at line 10 of file VLCCluster.h.

bool VLCCluster::candidate`[private]`

| Definition at line 13 of file VLCCluster.h.

Vector2<double> VLCCluster::mid`[private]`

| Definition at line 16 of file VLCCluster.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCCluster::vpointer`[private]`

| Definition at line 19 of file VLCCluster.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCCluster::hpointer`[private]`

| Definition at line 20 of file VLCCluster.h.

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCCluster.h
- Modules/ImageProcessor/VLCImageProcessor/VLCCluster.cpp